dots.v2.customers.my.prepayment_status.get()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.customers.my.prepayment_status.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Prepayment_status_response>

Description

To retrieve the prepayment gate status and balances for a customer’s account, send a GET request to /v2/customers/my/prepayment_status.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.customers.my.prepayment_status.get();

Response Example

Show Response Example
{
  "status": {
    "balance": "25.00",
    "is_auto_prepay_enabled": true,
    "blocked": true,
    "eligible": true,
    "month_to_date_balance": "75.00"
  }
}

More Information

See /v2/customers/my/prepayment_status in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.